#This is to be used in later expansion of backend functionality.

import time
import urequests
import network

# Fill these with your central server details
SERVER_IP = "192.168.1.35"
SERVER_HTTP_PORT = 9328
DEVICE_NAME = "ESP32C6_Test2"
AUTH_PASSWORD = "Test124"

def RegisterDevice():
    """
    Immediately POSTs to /register on the central server with device info.
    """
    try:
        wlan = network.WLAN(network.STA_IF)
        ip = wlan.ifconfig()[0]
        url = "http://{}:{}/register".format(SERVER_IP, SERVER_HTTP_PORT)
        payload = "Device_Name={}&Auth={}&IP={}".format(DEVICE_NAME, AUTH_PASSWORD, ip)
        print("[Register] Sending registration to:", url)
        resp = urequests.post(url, data=payload)
        print("[Register] Response:", resp.text)
        resp.close()
    except Exception as e:
        print("[Register] Error:", e)

def PingServer():
    """
    Sends keepalive pings to the central server every 10 seconds.
    """
    while True:
        try:
            wlan = network.WLAN(network.STA_IF)
            ip = wlan.ifconfig()[0]
            url = "http://{}:{}/ping".format(SERVER_IP, SERVER_HTTP_PORT)
            payload = "Device_Name={}&Auth={}&IP={}".format(DEVICE_NAME, AUTH_PASSWORD, ip)
            resp = urequests.post(url, data=payload)
            resp.close()
        except Exception as e:
            print("[Ping] Error:", e)
        time.sleep(10)
