# main.py
import wifi
import keepalive
import localserver
import _thread
import time

def Main():
    # 1) Connect to Wi-Fi
    wifi_ok = wifi.ConnectWiFi()
    if not wifi_ok:
        print("[Main] Wi-Fi failed; aborting.")
        return
    
    # 2) Register with the central server
    keepalive.RegisterDevice()

    # 3) Start keepalive pings in the background
    try:
        _thread.start_new_thread(keepalive.PingServer, ())
    except Exception as e:
        print("[Main] Error starting Ping thread:", e)

    # 4) Start the local file-serving + reboot-capable HTTP server in a new thread
    try:
        _thread.start_new_thread(localserver.StartHttpServer, ())
    except Exception as e:
        print("[Main] Error starting HTTP server thread:", e)

    # Keep the main thread alive
    while True:
        time.sleep(2)  # Adjust as needed

if __name__ == "__main__":
    Main()
